# $Revision: 1.32 $, $Date: 2004/11/21 23:36:23 $
Summary:	Playable implementation of the Settlers of Catan
Summary(pl):	Grywalna implementacja Settlers of Catan
Name:		gnocatan
Version:	0.8.1.43
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/gnocatan/%{name}-%{version}.tar.gz
# Source0-md5:	35ce2a71b94287a379a2748fc868e37b
Source1:	%{name}-server.desktop
Source2:	%{name}.desktop
URL:		http://gnocatan.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	imlib-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libtool
BuildRequires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

%description -l pl
Gnocatan to implementacja gry planszowej Settlers of Catan, w ktr
mona gra przez Internet. Celem projektu jest pozostanie jak
najwierniejszym w stosunku do gry planszowej.

%package server
Summary:	Gnocatan Server
Summary(pl):	Serwer Gnocatan
Group:		X11/Applications/Games

%description server
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters. Customisation is fairly limited at the moment, but this
should change in later versions. Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%description server -l pl
Gnocatan to implementacja gry planszowej Settlers of Catan, w ktr
mona gra przez Internet. Celem projektu jest pozostanie jak
najwierniejszym w stosunku do gry planszowej.

Serwer ma interfejs uytkownika pozwalajcy na ustawienie parametrw
gry. Moliwo konfiguracji na razie jest dosy ograniczona, ale to
powinno si zmieni w kolejnych wersjach. Po ustawieniu parametrw
wystarczy nacisn przycisk Start i serwer zacznie czeka na
poczenia od klientw.

%package client
Summary:	Gnocatan Client
Summary(pl):	Klient Gnocatan
Group:		X11/Applications/Games
Requires:	%{name}-server = %{version}-%{release}
Obsoletes:	gnocatan-data
Obsoletes:	gnocatan-help

%description client
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

This is the client software to play the game.

%description client -l pl
Gnocatan to implementacja gry planszowej Settlers of Catan, w ktr
mona gra przez Internet. Celem projektu jest pozostanie jak
najwierniejszym w stosunku do gry planszowej.

To jest klient potrzebny do grania.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT 

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnocatanai
%attr(755,root,root) %{_bindir}/gnocatan*server*
%{_datadir}/games/gnocatan
%{_desktopdir}/gnocatan-server.desktop
%{_mandir}/man6/gnocatan-meta-server*
%{_mandir}/man6/gnocatan-server-*
%{_mandir}/man6/gnocatanai*

%files client -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{_bindir}/gnocatan
%{_datadir}/omf/gnocatan
%{_desktopdir}/gnocatan.desktop
%{_pixmapsdir}/*
%{_mandir}/man6/gnocatan.6*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnocatan.spec,v $
Revision 1.32  2004/11/21 23:36:23  paladine
- updated to 0.8.1.43

Revision 1.31  2004/11/02 13:45:39  paladine
- updated to 0.8.1.40

Revision 1.30  2004/09/06 13:06:08  qboosh
- files fix, moved clean to standard place

Revision 1.29  2004/09/06 12:57:44  kolodko
- vfolders + added gnocatan.desktop
- BR: scrollkeeper, libgnomeui-devel
- gnocatan-client needs some thames from gnocatan-server
  so Req gnocatan-server in gnocatan-client
- correct man files (separated)
- fixed missing dirs (hardcore owners in _datadir)
- rel 4

Revision 1.28  2004/09/06 07:08:10  darekr
- missing manuals

Revision 1.27  2004/08/31 09:00:58  snurf
- typos / formatting / etc.

Revision 1.26  2004/08/30 21:29:13  darekr
- update to 0.8.1.30
- remove gnocatan-DESTDIR.patch

Revision 1.25  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.24  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:48:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:50:05  juandon
- removed two lines with define

Revision 1.21  2002/11/27 20:15:40  juandon
- new %%doc

Revision 1.20  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:13:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 16:25:46  arturs
fixed a small typo

Revision 1.16  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/19 05:16:54  kloczek
- fix building: run "libtoolize --copy --force" befor run autoconf.

Revision 1.13  2002/02/19 03:52:02  kloczek
- release 3: added "rm -f missing" on top %build.

Revision 1.12  2002/02/18 19:28:54  gotar
- %desc

Revision 1.11  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/29 10:55:01  qboosh
- pl translations

Revision 1.9  2001/03/01 05:59:04  kloczek
- s/acloca/aclocal -I macros/

Revision 1.8  2001/03/01 05:43:30  kloczek
- release 2,
- added BuildRequires rules,
- rebuild agains gnome-libs linked with new audiofile.

Revision 1.7  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.6  2000/10/31 06:36:51  kloczek
- updated to 0.6.1,
- new URL and Source url,
- use new rpm automation and rebuild against gnome-libs linked with db3.

Revision 1.5  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/05 09:42:56  kloczek
- "Obsoletes: gnocatan-data, gnocatan-help" moved to client,
- removed "Requires: gnocatan-data, gnocatan-help" from client.

Revision 1.3  2000/06/05 09:24:59  kloczek
- data nad help subpackages merged to client sublackage,
- added DESTDIR style %install (DESTDIR patch also),
- added desktop file for sgnocatan server conso program,
- desktop files moved to Games/Strategy,
- prefix changed to /usr/X11R6,
- added gzipping %doc.

Revision 1.2  2000/05/18 23:46:00  kloczek
- spec adapterized.

* Tue Jun 08 1999 Preben Randhol <randhol@pvv.org>
- Building version 0.3.3
* Sun May 23 1999 Preben Randhol <randhol@pvv.org>
- Building version 0.31
* Wed May 12 1999 Preben Randhol <randhol@pvv.org>
- First try at making the packages
